tigase.cluster.api

## Interface ClusterControllerIfc

- All Known Implementing Classes:
    ClusterController

      public interface ClusterControllerIfc

  Author:
    Artur Hefczyc Created Mar 16, 2011

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELIVER_CLUSTER_PACKET_CMD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleClusterPacket(tigase.xml.Element packet)`
    `void` | `nodeConnected(String addr)`
    `void` | `nodeDisconnected(String addr)`
    `void` | `removeCommandListener(String command, CommandListener listener)`
    `void` | `sendToNodes(String command, tigase.xml.Element packet, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)`
    `void` | `sendToNodes(String command, tigase.xmpp.JID fromNode, tigase.xmpp.JID... toNodes)`
    `void` | `sendToNodes(String command, Map<String,String> data, tigase.xml.Element packet, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)`
    `void` | `sendToNodes(String command, Map<String,String> data, tigase.xmpp.JID fromNode, tigase.xmpp.JID... toNodes)`
    `void` | `sendToNodes(String command, Map<String,String> data, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)`
    `void` | `sendToNodes(String command, Map<String,String> data, Queue<tigase.xml.Element> packets, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)`
    `void` | `sendToNodes(String command, Queue<tigase.xml.Element> packets, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)`
    `void` | `setCommandListener(String command, CommandListener listener)`

- - ### Field Detail

    - #### DELIVER_CLUSTER_PACKET_CMD

          static final String DELIVER_CLUSTER_PACKET_CMD

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### nodeDisconnected

          void nodeDisconnected(String addr)

      Parameters:
        `addr` -

    - #### nodeConnected

          void nodeConnected(String addr)

      Parameters:
        `addr` -

    - #### handleClusterPacket

          void handleClusterPacket(tigase.xml.Element packet)

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         Queue<tigase.xml.Element> packets,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

    - #### sendToNodes

          void sendToNodes(String command,
                         Queue<tigase.xml.Element> packets,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         tigase.xmpp.JID fromNode,
                         tigase.xmpp.JID... toNodes)

    - #### sendToNodes

          void sendToNodes(String command,
                         tigase.xmpp.JID fromNode,
                         tigase.xmpp.JID... toNodes)

    - #### setCommandListener

          void setCommandListener(String command,
                                CommandListener listener)

    - #### removeCommandListener

          void removeCommandListener(String command,
                                   CommandListener listener)

    - #### sendToNodes

          void sendToNodes(String command,
                         tigase.xml.Element packet,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         tigase.xml.Element packet,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

Copyright © 2013 Tigase. All rights reserved.